Permalink
Browse files

Adding wrongdoc for unicorn

  • Loading branch information...
1 parent e27913c commit 922609483a61c3f1c6fc2f509c18424d66eedf60 Dan Molik committed Apr 30, 2013
Showing with 51 additions and 0 deletions.
  1. +1 −0 dev-ruby/wrongdoc/Manifest
  2. +50 −0 dev-ruby/wrongdoc/wrongdoc-1.6.2.ebuild
@@ -0,0 +1 @@
+DIST wrongdoc-1.6.2.gem 40960 SHA256 2766e8a6719a2db3ab31c312fef54ade512be8baff54c11176aac14d75c09487 SHA512 337bbf3733019f84cdc1927117f4af01d6555465a72ca1db3a566962a339ebf043238f5aca536ec0b2826fb779908295f1c0c3e70af18a5c95fa225c56252cca WHIRLPOOL 88ea977b4a3af22b8eda44113abf45cb6d8c670b6cc5c27ce78b68ac398e6d99d0e8eec765a43110b56d9428cdd26b410a39f1cd1487aec9c1e1083898dd9d03
@@ -0,0 +1,50 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby18 ruby19 jruby"
+
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="wrongdoc mangles an existing RDoc directory and makes any changes we feel like"
+HOMEPAGE="http://bogomips.org/wrongdoc/"
+
+LICENSE="Ruby MIT"
+SLOT="0"
+KEYWORDS="*"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/racc
+ doc? ( >=dev-ruby/hoe-2.7.0 )
+ test? (
+ >=dev-ruby/hoe-2.7.0
+ dev-ruby/minitest
+ )"
+
+ruby_add_rdepend "=dev-ruby/json-1* >=dev-ruby/json-1.4"
+
+# This ebuild replaces rdoc in ruby-1.9.2 and later.
+# ruby 1.8.6 is no longer supported.
+RDEPEND="${RDEPEND}
+ ruby_targets_ruby19? (
+ >=dev-lang/ruby-1.9.2:1.9
+ )
+ ruby_targets_ruby18? (
+ >=dev-lang/ruby-1.8.7:1.8
+ )"
+
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ if use ruby_targets_ruby19; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}19
+ sed -i -e "1s/env ruby/ruby19/" \
+ "${ED}/usr/bin/${bin}19" || die
+ fi
+ done
+}

0 comments on commit 9226094

Please sign in to comment.